Forums

QUES: Where can I find Xilinx M1 tools

Started by Ted January 19, 2004
I have to make a change to a XC4005pc84-5 part but I don't have the tools that
support XC4000 parts.  I've gone all the way back to Alliance Series 1.5i
and XC4000E's are supported but not XC4000's.  I believe I need an old set
of M1 tools but I don't know where to find them.  Does anyone know where I
can get an old set of Xilinx tools that can supports XC4000 parts (not
XC4000E parts).

Thanks for any info.

Ted
On Mon, 19 Jan 2004 12:01:55 -0800, Ted wrote:

> I have to make a change to a XC4005pc84-5 part but I don't have the tools that > support XC4000 parts. I've gone all the way back to Alliance Series 1.5i > and XC4000E's are supported but not XC4000's. I believe I need an old set > of M1 tools but I don't know where to find them. Does anyone know where I > can get an old set of Xilinx tools that can supports XC4000 parts (not > XC4000E parts). > > Thanks for any info. > > Ted
You probably need the XACT tools, if the 4000s weren't supported in 1.5 then they probably weren't supported in M1 either.
I believe you need the Classic package.

http://www.xilinx.com/webpack/classics/wpclassic/index.htm

Steve

-- 
CONFIDENTIALITY NOTICE

This communication (and/or the documents accompanying it) may contain
privileged or other confidential information.  If you are not the intended
recipient, you are hereby notified that any use, disclosure, copying,
distribution or the taking of any action in reliance on the contents of this
information is strictly prohibited.  If you have received it in error,
please advise the sender by reply e-mail and immediately delete the message
and any attachments without copying, using or disclosing the contents.
Thank you for your cooperation.

"Ted" <tfrankli_1@yahoo.com> wrote in message
news:b81b4ee0.0401191201.6ecdd41b@posting.google.com...
> I have to make a change to a XC4005pc84-5 part but I don't have the tools
that
> support XC4000 parts. I've gone all the way back to Alliance Series 1.5i > and XC4000E's are supported but not XC4000's. I believe I need an old set > of M1 tools but I don't know where to find them. Does anyone know where I > can get an old set of Xilinx tools that can supports XC4000 parts (not > XC4000E parts). > > Thanks for any info. > > Ted
Ted wrote:
> > I have to make a change to a XC4005pc84-5 part but I don't have the tools that > support XC4000 parts. I've gone all the way back to Alliance Series 1.5i > and XC4000E's are supported but not XC4000's. I believe I need an old set > of M1 tools but I don't know where to find them. Does anyone know where I > can get an old set of Xilinx tools that can supports XC4000 parts (not > XC4000E parts). > > Thanks for any info.
Are you sure they aren't bitstream compatible? I seem to recall that a lot of different XC4000xxx families used the same bit stream, they just used different voltages, etc.
Here is what I wrote for the 1998 data book:

"Any XC4000E device is pin-out and bitstream-compatible with the
corresponding XC4000 device. An existing XC4000 bitstream can be used to
program an XC4000E device, but since the XC4000E includes many new
features, an XC4000E bitstream cannot be loaded into an XC4000 device."

And X000EX and -XL are all derived from ther XC4000E...

So this means, you need XC4000-type software, and we are looking into that...
Peter Alfke, Xilinx Applications
===========================
Ralph Malph wrote:
> > Are you sure they aren't bitstream compatible? I seem to recall that a > lot of different XC4000xxx families used the same bit stream, they just > used different voltages, etc.
On 19 Jan 2004 12:01:55 -0800, tfrankli_1@yahoo.com (Ted) wrote:
>I have to make a change to a XC4005pc84-5 part but I don't have the tools that >support XC4000 parts. I've gone all the way back to Alliance Series 1.5i >and XC4000E's are supported but not XC4000's. I believe I need an old set >of M1 tools but I don't know where to find them. Does anyone know where I >can get an old set of Xilinx tools that can supports XC4000 parts (not >XC4000E parts). > >Thanks for any info. > >Ted
The software that you need is prior to M1. It is the XACT sw, the last version was 5.2.1 (DOS) 6.0.1 (Win 3.1). This sw requires a dongle to run. The dongle needs a printer port that doesn't run too fast (recent machines can cycle port reads and writes too fast to the printer port, and the dongle does not respond correctly. An ISA bus plugin printer port card has a higher probability of running the dongle that the now more common PCI based parallel printer ports) Philip Philip Freidin Fliptronics
Ted wrote:
> I have to make a change to a XC4005pc84-5 part but I don't have the tools that > support XC4000 parts. I've gone all the way back to Alliance Series 1.5i > and XC4000E's are supported but not XC4000's. I believe I need an old set > of M1 tools but I don't know where to find them. Does anyone know where I > can get an old set of Xilinx tools that can supports XC4000 parts (not > XC4000E parts). > > Thanks for any info. > > Ted
Ted -- I feel for you! Xilinx has dropped all support on their newer tools (as you've discovered) for legacy parts such as the XC4005! I have made several trumpet blasts on this newsgroup about this very problem. Just do a google search in the groups category on XACT. XC4005(non E) devices are ONLY support by XACT 5.2.1 software -- a CD was offered by Xilinx which contained the tools which could either be hosted on a PC supporting Win 3.1 or on a Sun Workstation supporting SUNOS 4.1. A Xilinx or a Xilinx distributor should assist you in getting the CD. Regarding the license(dongle for the PC) -- Xilinx will help you with that as well. I hope this helps. JoeG